iTunes

Opening the iTunes Store.If iTunes doesn't open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To buy and download Trouble at Arekis 4 by Elisabeth Kasimir, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download

Trouble at Arekis 4

By Elisabeth Kasimir

This app is only available on the App Store for iOS devices.

Description

“SOS! This is the Copernicus. Attempting emergency landing on Arekis 4 Alpha. We were attacked by unknown forces! I repeat …”

It is the year 2435. Mankind is spreading through the galaxy. Travel to distant stars has become routine. Until now.

Discover what happened to the research vessel Copernicus on its mission in the Arekis System. Navigate Ninox, your agile spaceship prototype, through tight caves on dangerous scout missions. Visit the diverse moons of Arekis 4.

Control your ship with a single swipe of your finger or a turn on the Apple Watch crown.

Modern gameplay. Handcrafted levels. Retro feel.

Play on your iPhone, iPad or your Apple Watch.

Supports Force Feedback on compatible devices.

What's New in Version 1.2.0

WatchOS 4 support

Screenshots

iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4
iPad Screenshot 1
iPad Screenshot 2
iPad Screenshot 3
iPad Screenshot 4
iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4
iPhone Screenshot 5
Trouble at Arekis 4
View in iTunes
This app is designed for both iPhone and iPad
Offers Apple Watch App for iPhone
  • $0.99
  • Category: Games
  • Updated:
  • Version: 1.2.0
  • Size: 56.0 MB
  • Apple Watch: Yes
  • Languages: English, German
  • Seller:
Rated 9+ for the following:
  • Infrequent/Mild Cartoon or Fantasy Violence

Compatibility: Requires iOS 9.0 or later. Compatible with iPhone, iPad, and iPod touch.

Customer Ratings

This application hasn’t received enough ratings to display a summary.

More by Elisabeth Kasimir